Changes

Jump to: navigation, search

He:הורדה

7,261 bytes added, 05:32, 29 July 2021
no edit summary
{{languages/he|Download}}
<div dir="rtl" lang="he" class="mw-content-rtl">
[[File:Gramp-Small-background-wiki-2020.jpg|120px|right]]
{| class="wikitable" style="margin: auto;"! scope="row"|שפות| [[Download|אנגלית]]| [[de:Download|גרמנית]]| [[es:Download|ספרדית]]| [[{{PAGENAME}}|עִברִית]]| [[pt:Download|פורטוגזית]]| [[fr:Download|צרפתית]]|}{{languages|Download}}[[File:Gramp-Small-background-wiki-2020.jpg|120px|left]]'''חקרו, ארגנו ושתפו את אילן היוחסין שלכם עם גראמפס.''' . ==כללי==Gramps is a free software project and communityגראמפס הוא פרויקט תוכנה חינמי שמנוהל ומתוחזק על ידי קהילת מפתחים ומשתמשים. We strive to produce a genealogy program that is both intuitive for hobbyists and feature-complete for professional genealogistsאנו בפרויקט שואפים לייצר תכנת גנאלוגיה שתהיה אינטואיטיבית לחובבים ובו בעת בעלת תכונות גנאלוגיות מלאות כך שתוכל לשמש גם גנאלוגים מקצועיים. It is a community projectזהו פרויקט קהילתי, createdשנוצר, developed and governed by genealogistsמפותח ומנוהל על ידי גנאלוגים.
{{man note|{{Man menu|Gramps גרמפס '''Current versionגרסה נוכחית: '''{{version}}''' Releasedשוחררה ב־: '''20202021-0807-1326'''}}|''Different data format to the GRAMPS מבנה נתונים שונה מזה שבסדרת גרמפס 3.4 series. Full Python תמיכה מלאה ב־ פייטון 3 support only as רק כאשר [https://www.python.org/doc/sunset-python-2/ Python התמיכה בפייטון 2 support droppedתסתיים]. Uses עושה שימוש במנשק משתמש GTK+ 3 (GUI). Default database is now מסד הנתונים SQliteהוא כעת ברירת המחדל. Lot of updates seeהמון עדכונים ותכונות חדשות: ''[[Gramps 5.1 Wiki Manual - What's new?|What's newמה חדש?]]{{-}}[[File:Linux_220x261.png|128px96px|link=Download/he#Linuxלינוקס]] [[File:windows_180x160.png|128px96px|link=Download?he#MS_WindowsMS וינדוס]] [[File:macos_200x200.png|128px96px|link=Download/he#macOSמק OS]] [[File:Bsd daemon.png|128px96px|link=Download/he#BSD]]}}
== לינוקס ==
[[File:Linux_220x261.png|128px64px|leftright|link=Download/he#Linuxלינוקס]]
לפני עדכון הפצה: נא חשוב לגבות נתונים! כדאי להשתמש '''בגרסת גראמפס הישנה''' ל[[How_to_make_a_backup/he#Gramps_version_3גרמפס_גרסה_3.3_and_later3_ואילך|גבוי]] של אילן היוחסין שלכם [[#1|[1]]].
<big>
<u>[[DownloadHe:הורדה#Linux distributionsהפצות לינוקס|via Distributionsבאמצעות ההפצה]]</u>
&nbsp;&nbsp;&nbsp;&nbsp;
<u>[[DownloadHe:הורדה#Flathubפלאטהאב|via Flathubבאמצעות פלאטהוב]]</u>
&nbsp;&nbsp;&nbsp;&nbsp;
<u>[[DownloadHe:הורדה#Linuxלינוקס:_Install_latest_version_התקנת_גרסה_אחרונה|Latest version גרסה אחרונה ({{version}}) (advanced users onlyמיועד למשתמשים מנוסים בלבד)]]</u></big>
{{-}}
== MS חלונות וינדוס ==[[File:windows_180x160.png|128px96px|leftright|link=Download#MS_WindowsMS וינדוס]]
Before downloading the לפני שמורידים את [[All_In_One_Gramps_Software_Bundle_for_Windows/he|All-In-One software installer bundle for Windows]]צרור התקנת התוכנה עבור וינדוס: Use your כדאי להשתמש ב'''earlier version of Grampsגרסת טרום שדרוג''' to על מנת [[How_to_make_a_backupHe:איך_לבצע_גיבוי#Gramps_version_3גרסת_גרמפס_3.3_and_later3_ואילך|backupגיבוי]] your Family Trees to the hardy and portable את אילן היוחסין לכונן קשיח ולהחסך־נייד [[#1|XML formatתבנית<sup>1</sup>]].
This installer supports Microsoft Windows in all versions קובץ ההתקנה תומך בכל הגרסאות של חלונות מיקרוסופט [http://windows.microsoft.com/en-au/windows/lifecycle Vistaויסטה/7] and laterומאוחרים יותר. The גרסאות חלונות 64-bit versions of Windows allow more efficient access to more resourcesסיביות מאפשרות גישה יעילה יותר למשאבים רבים יותר.
(''Please noteלתשומת לב: Gramps prefers the Python-3גראמפס מעדיפה את ספריות פייטון־3.5 and ו־ Gtk-3.18 libraries and newerאו חדשות יותר. Those libraries have dropped support for Windows ספריות אלה לא תומכות עוד בוינדוס XP. But Gramps can still be run on Windows אך עדיין ניתן להריץ את גראמפס בוינדוס XP with earlier library versionsעל ידי שימוש בגרסאות ספריה קודמות, i.e., Python3כלומר עם פייטון 3.4.4 and ו־ Gtk-3.16'')
<big>
*<u>[{{github_url}}/releases/download/v{{version_windows_AIO64}}/{{filename_windows_AIO64}}.exe Windows Installer קובץ התקנת וינדוס (64-bit) {{version_windows_AIO64}}]</u>*<u>[{{github_url}}/releases/download/v{{version_windows_AIO32}}/{{filename_windows_AIO32}}.exe Windows Installer קובץ התקנת וינדוס (32-bit) {{version_windows_AIO32}}]</u></big>
After downloadלאחר ההורדה: '''double-click to install Grampsנא להקיש הקשה כפולה על קובץ התקנת וינדוס שירד'''. <br>By defaultכברירת מחדל: new releases will be added in a new directory and earlier installations of Gramps will ''not'' be overwrittenמהדורות חדשות יתווספו למחיצה חדשה והתקנות קודמות של גרמפס "לא" יוחלפו; the language will be a השפה תהיה [[#Missing_other_languages|mix of British and US Englishתערובת של אנגלית בריטית ואנגלית אמריקאית]].
{{man tip|Shortcutsקיצורי דרך|During installationבמהלך ההתקנה, one shortcut is placed on the desktop and two shortcuts are added the Start menuקיצור דרך אחד ימוקם על שולחן העבודה ושניים אחרים יתווספו לתפרית ההתחלה. <br>''Please only use the במידה ונתבקשתם על ידי מי מהמפתחים לבצע ניפוי־תקלים, נא להשתמש בקיצור הדרך השני להלן,זה המופעל מה'consoleמסוף' secondary shortcut when performing diagnostics requested by a developer.''<br>1) ''GrampsAIOגרמפס AIO'''XX''' ''{{version}}'' {{man menu| &larr; for normal use of Grampsלשימוש תקני}}<br>2) ''GrampsAIOגרמפס AIO'''XX''' ''{{version}}''-console־מסוף}}
Normallyבדרך כלל, when you try to load your old Family Tree you can allow it to be upgraded if necessaryכשטוענים אילן יוחסין שנוצר בגרסת גרמפס קודמת, and it will be openedקיימת אפשרות לשדרגו במידת הצורך, ולאחר מכן אילן היוחסין ייפתח. Should this fail for any reasonאם מסיבה כלשהי זה לא מצליח, נא '''Createליצור''' a new Family Tree and אילן יוחסין חדש [[How_to_restore_a_backup/he|'''Importולשחזר''' the back-upאת קובץ הגיבוי]] into this new Treeלאילן החדש שזה עתה נוצר.
Use the Windows נא להשתמש בגרסת וינדוס AIO (All-In-One) version, please use the download links aboveב־ ובקישורים להורדה שלעיל. For more information about individual versionsלמידע נוסף אותות גרסאות יחודיות, console and debug modesגרסאות מסוף וניפוי־תקלים, release notesהערות שחרור גרסה, etcוכו'., look at נא לעיין [[GrampsAIO cx freeze-based|this pageבעמוד]] (English onlyאנגלית בלבד).
If necessaryככל שידרש, there is an alternative independent Microsoft Windows קיימת גירסה עצמאית חלופית להתקנת וינדוס [[#2|portable versionגרסה ניידת<sup>2</sup>]].
You may also install using the alternative independent Gramps ניתן גם להשתמש גם בגרסת גרמפס עצמאית חלופית להתקנה [[#3|Chocolatey NuGet Package<sup>3</sup>]].
{{-}}
=== Missing other languages שפות נוספות===[[File:Microsoft Window Gramps AIO Installer Choose Components-Selection-51GrampsAIO64.pngjpeg|left|thumb|450px|Microsoft Window Gramps התקנת גרמפס AIO Installer Choose Componentsמיקרוסופט וינדוס -Selection windowחלון בחירת רכיבים.]]The default Gramps התקנת ברירת המחדל של גרמפס AIO installer will embed the US dialect of English for the interface with the British spellcheck dictionaryיטמיעו אנגלית בניב אמריקאי במנשק המשתמש ומילון בדיקת־איות באנגלית בריטית.
If you prefer a different language במידה ותעדיפו להגדיר שפה שונה מאלו המותקנות כברירת מחדל, (or spell with the US or Australian dialects of Englishאו למשל לבדוק איות בניב אנגלית אוסטראלית), please ensure that you pay special attention to the Choose Components phase of the installationנא להקדיש תשומת לב מיוחדת לשלב בחירת רכיבי ההתקנה.
To install a language other than Englishלהתקנות שפות שונות מאנגלית, select from both the נא לבחור ב'''Translationsתרגומים''' ''andוב־'' '''Dictionariesמילונים''' during the Choose Components phase of the installationבמהלך שלב בחירת הרכיבים בהתקנה.
Even your primary language is installed by defaultאפילו השפה העיקרית המוגדרת בסביבת העבודה תותקן כברירת מחדל, you might anticipate the need to spellcheck Notes in other than the British dialect of Englishניתן בהחלט לצפות את הצורך לביצוע בדיקת־איות בהערות מלל בשפות נוספות מלבד אנגלית בניב בריטי. Be certain to select the appropriate languages from חשוב לוודא בעת בחירת השפה ו'''Dictionariesמילונים'''לבחור בשפות הנכונות. Gramps will not access your Operating System's native dictionaryגרמפס לא תיגש למילון המקורי של מערכת ההפעלה.
There is no simple facility for adding interface or dictionary languages after installationלא קיים מנגנון פשוט להוספת שפות מנשק או מילון לאחר ההתקנה.
{{-}}
<span id="Mac OS X><!-- backward compatibility hyperlinking anchor-->
== מק OS ==
</span>
[[File:macos_200x200.png|128px96px|leftright|link=Download/he#Mac_OS_Xמק OS]]
Before downloadלפני הורדה: Use your נא להשתמש '''old version of Grampsבגרמפס בגרסה הישנה''' to לביצוע [[How_to_make_a_backup#Gramps_version_3.3_and_later|backupגיבוי]] your Family Trees של אילן היוחסין [[#1|[1]]]. Read the נא לעיין בהנחיות [[Mac OS X:Application package|before installationטרום התקנה]] instructions.
Supports Apple macOSתמיכה באפל מק OS מק OS/Mac מק OS X versions גרסאות 10.5 ([https://wikipedia.org/wiki/Mac_OS_X_Leopard Leopard]) and laterומאוחרות יותר. (Help determining your Operating System version can be found in the ניתן למצוא עזרה לבירור גרסת מערכת ההפעלה בעמוד [https://support.apple.com/en-us/HT201260 HT201260 Apple Support articleתמיכת אפל.])
<big>
</big>
After downloadלאחר ההורדה: Double-click the נא להקיש הקשה כפולה על קובץ .dmg file to mount the disk לעיגון הכונן (noteהערה: your browser may do this for you automaticallyהדפדפן עשוי לבצע זאת באופן אוטומטי). Next drag the Gramps application to your application folder and double-click to launch it לאחר מכן, נא לגרור את יישום גרמפס לתקיית היישומים, להקיש על הסמל הקשה כפולה לשיגור גרמפס[[#4|[4]]].
Normallyבדרך כלל, when you try to load your old Family Tree you can allow it to be upgraded if necessaryבעת טעינת אילן היוחסין הישן, and it will be openedניתן לאפשר את שדרוגו במידת הצורך, ואז האילן ייטען. However if this fails for any reasonאבל אם מסיבה כול שהיא זה נכשל, נא'''Createלייצור''' a new Family Tree and אילן יוחסין חדש ול'''Importייבא''' the back-up into this new Treeאת קובץ הגיבוי לתוך האילן החדש שזה עתה נוצר.
Gramps can also be installed on MacOS using the MacPortsלהתקנת גרמפס על מערכת מק OS־ניתן להשתמש גם בMacPorts[[#5|[5]]] framework or במנהל החבילות או במערכת Homebrew package manager[[#6|[6]]].
{{man tip|Spell Checkingבדיקת איות:|Gramps uses a different spell checker than the one provided by Mac רכיב בדיקת האיות בגרמפס שונה מזה שמספקת מק, OS X, with different spelling dictionary requirementsעם דרישות שונות של מילון איות. We can't easily provide dictionaries for all of the supported languages in the bundleצוות גרמפס מתקשה לספק מילונים לכל השפות הנתמכות בחבילה, but they're easily downloaded from אך ניתן להוריד אותן בקלות מאתר [https://extensions.openoffice.org/ OpenOffice.org's website]. Download the language you want and save it, then navigate to the download in ''' נא להוריד את השפה הרצויה ולשמור אותה בתקייה על גבי המחשב ואז לנווט לתיקיית ההורדה באמצעות המאתר ('Finder'). Most browsers have a downloads window that offers ברוב הדפדפנים ניתן להגיע מתפריט ההקשר לחלון או דו־שיח הורדות המציע את האפשרות "Show in Finderהצגה במאתר" in its context menu. Change the file extension from כעת נדרש לשנות את סיומת הקובץ <tt>oxt</tt> to ל־<tt>zip</tt>, then from the context menu select ולבחור מתפריט ההקשר '''Open with'פתיחה באמצעות... Archive Utilityעזר ארכוב''' to decompress it' כדי לחלץ את הקבצים מקובץ הארכיב. In the decompressed folder or perhaps in a subfolder you'll find the dictionary files in pairsבתיקיה שחולצה או אולי בתיקיית משנה שלה ימצאו קבצי המילון בזוגות, <tt>foo.aff</tt> and ו־ <tt>foo.dic</tt>. Some languages have more than one pair with a לחלק מהשפות יש יותר מזוג אחד לרבות קובץ README file to explain whyשאמור להסביר מדוע יש יותר מזוג אחד. Select a pair and copy it to נא לבחור בזוג, להעתיק אותו אל /Library/Dictionaries (you'll have to authenticate with an administrator id and passwordנדרש אמות באמצעות משתמש על במערכת וססמה), and if ואם 'foo' isn't already a language or locale codeעדיין לא מופיע כשפה או קוד אזור, make it oneנא להפוך אותו לכזה. For exampleלדוגמה, the French package includes several pairs with names like החבילה הצרפתית כוללת מספר זוגות עם שמות כמו <tt>fr-moderne.aff</tt> and ו־ <tt>fr-moderne.dic</tt>. The spell checker doesn't recognize those namesבודק האיות לא מזהה שמות אלה, so when you copy them to לכן בזמן ההעתקה ל־ /Library/Dictionaries you must rename them to נדרש לשנות את שמם ל־ <tt>fr.aff</tt> and ו־ <tt>fr.dic</tt> or או <tt>fr_FR.aff</tt> and ו־ <tt>fr_FR.dic</tt>. You can have more than one dictionary pair installed if you use several languagesאפשרי וניתן להתקין יותר מזוג מילונים אחד אם משתמשים במספר שפות, but one 'אך זוג אחד לפחות ''must'חייב'' match the language you use for Gramps or spell checking won't be enabled at allלהתאים לשפה בה משתמשים בגרמפס או שבדיקת איות לא תופעל כלל.}}
{{-}}
== <span id="Linux distributions"></span>Linux and הפצות לינוקס ו־ BSD distributions =={{man note|These packages are built and supported by the חבילות אלו נבנות ונתמכות על ידי [https://enhe.wikipedia.org/wiki/Linux_distribution distrosהפצת_לינוקס הפצות].|If your distribution is not listed you may possibly find it listed on אם ההפצה שלכם לא ברשימה, ייתכן שתוכלו למצוא אותה ב־ [https://repology.org/metapackage/gramps/versions ''Repology'']<br>Please report any problems with them to the package maintainerנא לדווח על סוגיות ובעיות שמצאתם בהן למתחזקי החבילה.}}Most Linux distributions come bundled with a version of Grampsרוב הפצות לינוקס כוללות כבר גרסת גרמפס, though it's not always the most recent version and it may not have been installed by defaultאם כי זו לא תמיד תהיה הגרסה העדכנית ביותר וייתכן שהיא לא הותקנה עם המערכת כברירת מחדל. Still it is recommended to use the Gramps version that comes with your distributionבכל זאת מומלץ להשתמש בגרסת גרמפס המגיעה עם ההפצה שלכם.
Below are ways to install Gramps on some of the more popular distributionsלהלן הדרכים להתקנת גרמפס בחלק מההפצות הפופולריות יותר:
{| {{prettytable}}
!style="width: 85pt;" | Distributionהפצה!GUI Package managerמנשק מנהל חבילות!Current versionsגרסה נוכחית!Notesהערות
|-
|<!-- Distribution -->[[File:Debianopenlogo-32.png|link=https://packages.debian.org/search?keywords=gramps]]''' [[Debian|דביאן]] '''|<!-- GUI Package manager -->Addהוספת/Remove Softwareהסרת תכנה
|<!-- Current versions -->
* Debian דביאן 8 ("jessieג'סי")(old old stableישן ישן יציב): Gramps גרמפס 4.1.1<!-- Debian 8 EOL ~2020-06-30 https://wiki.debian.org/DebianReleases#Production_Releases / Extended Long Term Support until ~2022-06-30 -->* Debian דביאן 9 ("stretchסטרץ'") (old stableישן יציב): Gramps גרמפס 4.2.5* Debian דביאן 9 ("stretchסטרץ'")([https://packages.debian.org/stretch-backports/gramps backportsבאקפורט]): Gramps גרמפס 5.0.1* Debian דביאן 10 ("busterבוסטר") (stableיציב): Gramps גרמפס 5.0.1* Debian דביאן 10 ("busterבוסטר")([https://packages.debian.org/buster-backports/gramps backportsבאקפורט]) (stableיציב): Gramps גרמפס 5.1.2* bullseye בולסאיי (testingבדיקות): Gramps גרמפס 5.1.3* [http://packages.debian.org/sid/gramps sid סיד (unstableלא יציב)]: Gramps גרמפס 5.1.3|<!-- Notes -->[http://packages.debian.org/search?keywords=gramps available versionsגרסאות זמינות]
|-
|<!-- Distribution -->[[File:Ubuntu_32x32.png]] '''[https://ubuntu.com/ Ubuntuאובונטו]'''|<!-- GUI Package manager -->Software Centreמרכז התכנה
|<!-- Current versions -->
* Xenial קסניאל (16.04 LTS): Grampsגרמפס: 4.2.2* Xenial קסניאל (16.04 LTS): Grampsגרמפס: 4.2.6 ([https://launchpad.net/~rosco2/+archive/ubuntu/backports Backportבאקפורט])* Bionic Beaver ביוניק ביבר (18.04 LTS): Grampsגרמפס: 5.0.0* Eoan איואן (19.10): Grampsגרמפס: 5.0.1* Focal פוקאל (20.04 LTS): Grampsגרמפס: 5.1.2* Groovy Gorilla גרובי גורילה (Developmentפתוח: 20.10): Grampsגרמפס: 5.1.3|<!-- Notes -->[http://packages.ubuntu.com/search?keywords=gramps&searchon=names available versionsגרסאות זמינות]/ (Also seeראו גם: [https://launchpad.net/~rosco2/+archive/ubuntu/backports Backportsבאקפורט])
|-
|<!-- Distribution -->[[File:Farm-Fresh linux mint.png]]''' [https://www.linuxmint.com/ Linux Mintלינוקס מינט]'''|<!-- GUI Package manager -->Software Managerמנהל תכנה
|<!-- Current versions -->
* 18.x(Gramps גרמפס 4.2.2~dfsg-1)* 19.x(Gramps גרמפס 4.2.8)* 20.x(Gramps גרמפס 5.1.2)
|<!-- Notes -->
* Use the נא להשתמש ב"Software Managerמנהל התכנה" to install a recent versionלהתקנת גרסה עדכנית.* Manually install the most current version of Gramps using the following התקנה ידנית של גרסת גרמפס העדכנית ביותר על פי [https://forums.linuxmint.com/viewtopic.php?t=220159 instructionsההוראות] from the הבאות ''Linux Mint Forumsבפורומי לינוקס מינט''* [http://community.linuxmint.com/software/view/gramps Old versions available from Linuxmintגרסאות קודמות וישנות יותר זמינות באתר לינוק מינט]
|-
|<!-- Distribution -->[[File:Fedora_32x32.png]] '''[https://getfedora.org/ Fedoraפדורה]'''|<!-- GUI Package manager -->Addהוספת/Remove Software הסרת תכנה (Gnomeגנום)<br>orאו<br>Software Management נהול תכנה (KDE)
|<!-- Current versions -->
* Rawhide ראוהייד (Gramps גרמפס 5.1.3)* Fedora פדורה 31 (Gramps גרמפס 5.1.3)* Fedora פדורה 32 (Gramps גרמפס 5.1.3)* Fedora פדורה 32 (Gramps גרמפס 5.1.3)|<!-- Notes -->[https://koji.fedoraproject.org/koji/packageinfo?packageID=1969 available versionsגרסאות זמינות]
|-
|<!-- Distribution -->'''[https://www.mageia.org/en/ Mageia]'''
|<!-- GUI Package manager -->|[https://wiki.mageia.org/en/Installing_and_removing_software drakrpm (or או rpmdrake)]
|<!-- Current versions -->
* Mageia [https://madb.mageia.org/package/show/name/gramps/release/cauldron/ Caulronקאולרון]: Gramps גרמפס 5.1.3* Mageia 7.1: Gramps גרמפס 5.0.1|<!-- Notes -->[http://mageia.madb.org/package/show/name/gramps Mageia App Db - grampsגרמפס]
|-
|<!-- Distribution -->[[File:OpenSUSE-distribution-icon.png|32px]] '''[https://www.opensuse.org/ openSUSEאופנסוס]'''
|<!-- GUI Package manager -->[https://en.opensuse.org/YaST_Software_Management YaST]
|<!-- Current versions -->
* openSUSE Tumbleweedאופנסוס תאומבלוויד: Gramps גרמפס 5.1.3* openSUSE Leap אופנסוס ליאפ 15.2: Gramps גרמפס 4.2.8* openSUSE Leap אופנסוס ליאפ 15.1: Gramps גרמפס 4.2.8* openSUSE Leap אופנסוס ליאפ 15.0: Gramps גרמפס 4.2.8|<!-- Notes -->[https://software.opensuse.org/package/gramps available versions]<br>The most recent version can usually be installed from the בדרך כלל ניתן להתקין את הגרסה האחרונה מה- 'openSUSE BuildService - GNOMEגנום:Appsמאגר יישומים' repository
|-
|<!-- Distribution -->[[File:Slackware-distribution-icon.jpg|32px]] '''[http://www.slackware.com/ Slackwareסלאקוואר]'''
|<!-- GUI Package manager -->
|<!-- Current versions -->
* 14.2: Gramps גרמפס 4.2.6* 14.2: Gramps גרמפס 5.1.2 - [https://slackbuilds.org/repository/14.2/misc/gramps/?search=gramps slackbuilds.org]* 14.1: Gramps גרמפס 4.0.3|<!-- Notes -->[https://pkgs.org/search/?q=gramps available versionsגרסאות זמינות]
|-
|<!-- Distribution -->[[File:archlinux-icon-crystal-32.svg]] '''[https://www.archlinux.org/ Arch Linuxלינוקס ארץ']'''
|<!-- GUI Package manager --> [https://wiki.archlinux.org/index.php/pacman pacman]
|<!-- Current versions -->
* Gramps גרמפס 5.1.3|<!-- Notes -->[https://www.archlinux.org/packages/community/any/gramps/ available versionsגרסאות זמינות]
|-
|<!-- Distribution -->[[File:Gentoo-distribution-icon.png|32px]]'''[https://gentoo.org Gentoo Linuxלינוקס ג'נטו]'''
|<!-- GUI Package manager -->
|<!-- Current versions -->
* Gramps גרמפס 5.1.3|<!-- Notes -->[https://packages.gentoo.org/packages/app-misc/gramps available versionsגרסאות זמינות]
|-
|<!-- Distribution -->'''[https://www.netbsd.org/ NetBSD]'''
|<!-- GUI Package manager -->
|<!-- Current versions -->
* NetBSD: [http://pkgsrc.se/databases/gramps3 Gramps גרמפס 3.4.9]* NetBSD: [http://pkgsrc.se/databases/gramps5 Gramps גרמפס 5.1.2]
|<!-- Notes -->
|-
|<!-- GUI Package manager -->
|<!-- Current versions -->
* FreeBSD: Gramps גרמפס 4.2.8* [https://www.freshports.org/science/gramps/ FreshPorts: Gramps גרמפס 5.1.1]|<!-- Notes -->[http://portsmon.freebsd.org/portoverview.py?category=science&portname=gramps available versionsגרסאות זמינות]
|-
|<!-- Distribution -->'''[https://www.openbsd.org/ OpenBSD]'''
|<!-- GUI Package manager -->
|<!-- Current versions -->
* OpenBSD: Gramps גרמפס 5.1.3|<!-- Notes -->[http://openports.se/misc/gramps available versionsגרסאות זמינות]
|-
|<!-- Distribution -->
== לינוקס: התקנת גרסה אחרונה ==
If your distribution doesn't ship with Gramps or you wish to install a different version than it ships withאם ההפצה שלכם אינה מכילה את חבילת גרמפס או שברצונכם להתקין גרסה אחרת מזו שאיתה היא מגיעה, you could try to install the latest version of Gramps manuallyניתן לנסות ולהתקין את הגרסה האחרונה של גרמפס באופן ידני.
{{man warn|1=Warning before attempting this use your existing installation to אזהרה! לפני שמתחילים בהתקנה ידנית, חשוב להקפיד ולהשתמש בהתקנה הקיימת של גרמפס [[How to make a backupHe:איך לבצע גיבוי|make a Gramps לביצוע גיבוי גמפס XML backup]]|2=This should only be attempted by experienced users, and after you have backed up your Family Treeלא מומךץ לנסות זאת אלא אם אתם משתמשים מנוסים ולאחר גיבוי אילן היוחסין.
The version of Gramps that has been included in your distribution will have been tested to work with the components in that distributionגרסת גרמפס הכלולה בהפצה נבדקה שהיא אכן עובדת עם הרכיבים בהפצה זו. If you try to install a different version of Gramps there is a possibility that the components needed for the new version of Gramps are not available for your distributionבנסיון להתקין גרסה אחרת של גרמפס עשוי להיות שהרכיבים הדרושים לגרסה החדשה זו אינם זמינים בהפצה, or they are availableאו שהם זמינים, but don't work properlyאך לא פועלים כראוי. You might not discover that there is a problem till you have already done some work with the new version of Grampsיתכן שבעיות וסוגיות יצוצו רק לאחר שנעשתה כבר עבודה באמצעות הגרסה החדשה של גרמפס.
If you already have Gramps installed, and you are only making a אם גרמפס כבר מותקן וזהו רק שדרוג 'pointנקודתי' upgrade (i.e. from Gramps כלומר, מגירסת x.y.z to לגרסת x.y.z+1, e.g. from לדוגמה, מגרסה 3.4.3 to לגרסה 3.4.4), then it is likely but not certain that Gramps will continue to workאז סביר להניח אך לא בטוח שגרמפס ימשיך לעבוד. Howeverאבל, if the change is much greaterבמידה ומדובר בשינוי גדול בהרבה, especially if it is a major version change במיוחד אם מדובר בשינוי גרסה גדול (e.g. from כלומר, מגרסה 2.y.z to לגרסה 3.y.z), then the danger that it does not work properly is much greaterאז הסכנה שגרמפס לא עובד כמו שצריך היא הרבה יותר גדולה.}}
=== מבוססי דביאן ===
For עבור [[File:Debianopenlogo-32.png|link=Download#Debian-based]]'''[[DebianHe:דביאן|Debian-based linux distributionsהפצות לינוקס מבוססות דביאן]]''' (Which includes בכלל זה [[File:Ubuntu_32x32.png|link=Download#Debian-based]]''' Ubuntu אובונטו ''') נא להוריד קובץ [{{github_url}}/releases/v{{version}} Download the .deb file]. Double-click on the downloaded לאחר שהקובץ ירד, נא להקיש הקשה כפולה על קובץ ה־ .deb file or שירד או (for some distributionsבחלק מההפצות, כמו לינוקס מינט, e.g. Mint Debianדביאן) run the following command from the directory where the file was saved , הפעלת הפקודה הבאה מהספרייה בה נשמר הקובץ ({{man menu|change the filename to match the one you downloadedתוך שנוי שם הקובץ כך שיתאים לזה שהורד}}).<div dir="ltr">
sudo dpkg -i gramps_{{version}}-1_all.deb
</div>If you have an error about having unmet dependencies runבמידה ומתקבלת שגיאה בנושא תלויות חסרות או לא תאמות, נא להריץ:<div dir="ltr">
sudo apt-get -f install
</div>
להתקנת כל התלויות.
to install the dependencies. If you see an error about language support when starting Grampsבמידה ומתקבלת שגיאה בנושא תמיכה בשפות בעת אתחול גרמפס, runנא להריץ:<div dir="ltr">
sudo apt install language-pack-gnome-en
</div>to install the proper language packלהתקנת חבילות השפה המתאימות. You may need to replace נא להחליף את הקידומת 'en' with your own language codeעם השפה המבוקשת, like כמו 'nlhe' for Dutchעבור עברית.
==== פקודות שורה שימושיות ====
Before upgrading you can[https://sourceforgeלהלן מספר פקודות שורה שימושיות.net/p/gramps/mailman/message/35460486/]לפני השדרוג כדי לברר מספר דברים: * Find out what version you are running, by using this תוך שימוש בפקודה הבאה מתוך מסוף לברר מהי הגרסה הנוכלחית המותקנת:<div dir="ltr">
dpkg-query -s gramps
</div>
פקודה זו מתחקרת את החבילות ותספק פלט במסוף עם מידע אודות החבילה המותקנת.
that queries the package and gives you info about it. * If you are committed to an upgrade then make sure you have backed up you Family Trees to Gramps במידה יש צורך או רצון לשדרוג את גרמפס, נא לוודא גיבוי אילן היוחסין לקובץ גרמפס XML then run ואז להריץ:<div dir="ltr">
sudo dpkg -r gramps
</div>
פקודה זו תסיר את ההתקנה הנוכחית של גרמפס (בהנחה שזו גרסת פייטון 3, בגרסאות ישנות יותר הפקודה עשויה להיות python-gramps )
this will remove the current gramps package (assuming its a python3 version older versions could be python-gramps ) * To stop Ubuntu updating gramps למנוע מאובונטו להמשיך ולעדכן את גרמפס (to possibly an older version from Ubuntuאולי גרסה ישנה יותר של אובונטו!) you may need to runיידרש להריץ את הפקודה:<div dir="ltr">
sudo apt-mark hold gramps
</div>
'''כעת העדכון הושלם.'''
'''Upgrade is then completeלרשימה של מספר פקודות נוספות, ניתן לעיין בפרסום שבקישור ל[https://sourceforge.'''net/p/gramps/mailman/message/35460486/ רשימות־דיוור]
=== Flathub פלאטהאב ===
Gramps גרמפס 5.1.3 is available in a flatpak at flathubזמין כפלטפאק בפלטפאק.
{{man note|Please use your existing installation to backup your database before proceedingנא להשתמש בגרסה הנכחית של גרמפס לגבוי מסד הנתונים לפני שממשיכים.|Alsoכמו כן, it is a good idea to באותה הזדמנות מומלץ מאוד [[Gramps_5.1_Wiki_Manual_-_Manage_Family_Trees#Converting_a_BSDDB_Family_Tree_to_SQLite|convert your database to להמיר את מסד הנתונים ל־ SQLite]] even though there is currently למרות שקיימת תמיכת BSDDB3 support in the בגרסת פלטפאק 5.1.3 flatpak.}}
First set up flatpak and the flathub repository on your systemתחילה יש להגדיר את ''פלטפאק'' ואת מאגר ''פלטהאב'' במערכת, there are instructions for various distributions at הוראות להפצות השונות ניתן למצוא באתר: https://flatpak.org/setup/ Second, you can use the blue install button at https://flathub.org/apps/details/org.gramps_project.Gramps if you set your software manager up to work with flathub, or use the command below in a terminal for a system wide installation if you have sudo privileges:
לאחר מכן, ניתן להשתמש בכפתור ההתקנה הכחול [[File:Install Gramps—Linux Apps on Flathub.png|72px|link=https://flathub.org/apps/details/org.gramps_project.Gramps]] במידה ומנהל התכנה במערכת הוגדר לעבוד עם ''פלטהאב'', או להתקנתה רוחבית במערכת (דורש הרשאות־על (sudo)), ולהפעיל את הפקודה מטה ממסוף המערכת.
<div dir="ltr">
flatpak install flathub org.gramps_project.Gramps
</div>
{{-}}
=== הפצות אחרות ===
For other distributionsלהפצות אחרות, [[File:Download_link.png|150px72px|link={{github_url}}/releases/v{{version}}]] the source and follow the instructions for ועקבו אחר ההוראות בעמוד [[Linux:Build from source|בניה מקוד המקור]]
== BSD ==
[[File:Bsd daemon.png|128px96px|leftright|link=Download/he#BSD]] Before upgrading your distribution: Use your '''old version of Gramps''' to {{man note|לפני שדרוג ההפצה, נא להשתמש בגרסה הנכחית של גרמפס לגבוי מסד הנתונים [[How_to_make_a_backup#Gramps_version_3.3_and_later1|backup[1]] your Family Trees ].|נא לעיין בהנחיות טרום התקנה 'כיצד לבצע [[He:איך_לבצע_גיבוי#1גרמפס גרסה 3.3 ואילך|[1גיבוי]]].'}}
<big>
<u>[[Download/he#Linux and לינוקס ו־ BSD distributionsהפצות|via Distributionsבאמצעות ההפצה]]</u>
&nbsp;&nbsp;&nbsp;&nbsp;
<u>[[Download/he#Linuxלינוקס:_Install_latest_version|Latest version גרסה אחרונה (advanced users onlyלמשתמשים מנוסים בלבד)]]</u></big> 
ראו גם:
* [[BSD platforms/he]]
{{-}}
== Live CD תקליטור חי ==
{{man warn|Note that both Live CD demonstrations use an old version of Gramps and it is not recommended for general useהערה, שתי ההדגמות '''הדגמה מקוונת''' ו'''תקליטור חי''' רצות על גרסה ישנה של גרמפס, לכן לא מומלץ לעשות בהן שימוש כללי}}
[[File:Download_link.png|150px72px|leftright|link=https://sourceforge.net/projects/gramps/files/gramps-cdrom/lgenealogy-6.1-desktop-i386.iso/download]]'''Linux live CD Demonstration הדגמת 'תקליטור חיי' לינוקס''' includes Gramps מכילה גרסת גרמפס {{Version Linux Live CD}} pre-installed to trialמותקנת מראש למטרות התנסות , without touching anything on the hard driveשאינה נוגעת או משנה משהו על גבי הכונן הקשיח. To start this boot the Computer with this Live Linux Desktop on a CD in the CDעל מנת להפעיל את ההדגמה, נא לאתחל את המחשב כאשר תקליטור שולחן העבודה החי של לינוקס נמצא בכונן התקליטורים /DVDתַּקְלִיטוֹר רַב-ROM Driveתַּכְלִיתִי סִפְרָתִי לקריאה בלבד. (Requires that you write this image to a CD-ROM using CD-Burner software egדורש צריבת תמונה זו לתקליטור באמצעות תכנת צריבה תקליטורים כגון:Neroנרו, Imgburn..). [[Linux_Genealogy_CD#Download_the_CD|Download the CDהורדת התקליטור]] (727 MBמ"ב). The , [[Linux Genealogy CD|Linux Genealogy CD is based on Ubuntu תקליטור גנאלוגיה לינוקס מבוסס על אובונטו 10.10 (Maverick Meerkatמאבריק מירקט))]]. If you are interested in Grampsאם אתם מעוניינים בגרמפס, but are afraid to actually install it or unable to install it אבל חוששים להתקין אותו בפועל או לא מסוגלים להתקין אותו (not your PCלא על המחשב האישי, windowsוינדוס, no internet at homeאין חיבור למרשתת בבית, work laptopמחשב נייד שייך למקום העבודה, ...), then try out our נסו את [[Linux Genealogy CD| תקליטור גנאולוגיה לינוקס]]. It runs without installing on the hard disk and contains a collection of open source, free, genealogy programsהוא פועל ללא התקנה על הכונן הקשיח ומכיל אוסף של תכנות גנאלוגיות חנמיות בקוד פתוח. You can then install latest לאחר מכן תוכלו להתקין את הגרסה האחרונה [http://www.ubuntulinux.org/ Ubuntuאובונטו] and Gramps from the CD anytime you likeשל גרמפס מהתקליטור בכל עת.
{{-}}
=== הדגמה מקוונת ===
You can also try an online demonstration of Gramps on אפשר וכדאי גם להתנסות בהדגמה מקוונת של גרמפס באתר rollApp:* [https://www.rollapp.com/app/grampsrollApp]Select על מנת לעשות זאת נא לגלוש לאתר שלעיל, לבחור ב'''שיגור מקוון'''(Launch Online) ואז ''' then נסיעת מבחן'''(Test Drive)(Opening/saving files will not be availableפתיחת או שמירת קבצים לא תהיה זמינה)'''
{{man note|Noteהערה|This is a commercial limited trial and not endorsed by the Gramps-projectזהו ניסיון מסחרי מוגבל ולא אושר על ידי פרויקט גרמפס. Beware of third parties having your genealogical dataלכן, נא לשים לב שהנתונים הגנאלוגיים אותם תשתפו באתר זה עשויים להיות מוחזקים ביידי צדדים שלישיים.}}
{{-}}
[<span id="1">1</span>]
Backup to Gramps גיבוי לגרמפס XML. You will find backup in the Family Tree menu of recent Gramps versionsאת אפשרות הגיבוי ניתן למצוא בתפריט אילנות יוחסין בגרסאות גרמפס האחרונות, otherwise use export in the same menu but 'אחרת, באותו תפריט, נא להשתמש בייצוא. אך יש לבטל את הסימון בתיבת הסימון ''uncheck privacy optionsלא לכלול אפשרויות פרטיות''' in the Exporter Assistant in order to export all dataבסייען היצוא על מנת לייצא את כל הנתונים. See ראו גם: [[How to make a backupHe:איך_לבצע_גיבוי|כיצד מגבים]]
[<span id="2">2</span>]
{{man menu|You can download Gramps Portable version ניתן להוריד גירסת גרמפס ניידת 5.1.3-2 from מעמוד https://portableapps.com/apps/education/gramps_portable .}} Note that שימו לב שב- PortableApps.com also have available an old version of Gramps and it is not recommended for general useיש גם גרסת גרמפס ישנה שאינה מומלצת לשימוש כללי; An alternative independent גרסת '''Legacyמורשת''' version is עצמאית חלופית ניתן למצוא ב: [http://sourceforge.net/projects/portableapps/files/Gramps%20Portable/ GrampsPortable_{{version_windows_portable}}fap.pafexe.exeportableapps] (29.0 MBמגה בייט) [http://portableapps.com/apps/education/gramps_portable Portable Gramps from מ- PortableApps.com] includes all dependencies required for Windowsכולל את כל התלויות הנדרשת לוינדוס. ''Noteהערה:You can install it on ניתן להתקין זאת בבמחיצה C: then to run Gramps type ואז להפעלת גרמפס, נא להזין C:\PortableApps\GrampsPortable\GrampsPortable.exe (Or the path you installed it toאו את הנתיב בו בחרתם להתקין) or make a shortcut to that file on your desktop or start-menuניתן גם לייצור קיצור דרך לקובץ על שולחן העבודה או בתפריט ההתחלה.'' By Bartמאת בארט.S - ס ־ '''[http://portableapps.com/blog/84601 Please report packaging issues to the authorאנא דווח על סוגיות בחבילה ליוצרים.]''' (201207-0907-072012)
[<span id="3">3</span>]
Chocolatey NuGet is a Machine Package Managerהוא מנהל חבילות 'מכונה', somewhat like דומה במשהו ל־ ''apt-get'', but built with Windows in mindאך נבנה בראש של וינדוס. [https://chocolatey.org/packages/gramps/ Gramps גרמפס Chocolatey Packageחבילת]
[<span id="4">4</span>]
[<span id="5">5</span>]
The פרויקט MacPorts Project is an open-source community initiative to design an easy-to-use system for compilingהוא יוזמה קהילתית, installingכתוב בקוד פתוח לתכנון מערכת קלה לשימוש להידור, and upgrading open-source software on the Mac operating systemהתקנה ושדרוג תוכנת קוד פתוח במערכת ההפעלה מק. https://www.macports.org/ In order to do that run the following commandעל מנת לבצע זאת, נא להריץ את הפקודה הבאה: <code>port install gramps</code> seeראו: [[Mac OS X:Build from source:MacPorts| בנייה מקוד המקור מק OS]]
[<span id="6">6</span>]
Homebrew is an open-source package manager for macOS הוא מנהל חבילות קוד פתוח עבור מק OS (and Linuxולינוקס). See ראו [https://github.com/homebrew/Homebrew].
== ראו גם ==
[[Category:He:תיעוד]] [[Category:He|:הורדה]]

Navigation menu